# Media — Resume

The **Resume** message can be both sent by the host app to control playback and sent by the player to reflect playback state changes,

### Properties

Along with all standard [Media Message properties](/developers/guides/player-communication/message-api-reference/media.md#properties), a **Resume** message includes the following additional properties:

<table><thead><tr><th width="243" valign="top">Name</th><th width="192" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>messageType</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>lsc:media:resume</code></td></tr></tbody></table>

#### Legacy Properties

{% hint style="warning" %}
If your integration uses **LiSA Player Version 1**, none of the properties described above will be available.

For **LiSA Player Version 2**, legacy properties can be ignored.
{% endhint %}

<table><thead><tr><th width="197" valign="top">Name</th><th width="190" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>action</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>pause</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>messageType</code> instead.</td></tr><tr><td valign="top"><code>target</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>player</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>messageType</code> instead.</td></tr></tbody></table>

***

### Type Definition

```typescript
interface MediaResumeMessage extends Omit<MediaMessage, 'messageType'> {
  messageType: 'lsc:media:resume';
}
```

***

### Examples

#### Player Notifies Media Playback Has Been Resumed

```json
{
  "clockDriftInMs": 0,
  "mediaItemId": "9f333331-45cb-4289-8bcd-9023c1871111",
  "mediaItemType": "live",
  "messageType": "lsc:media:resume",
  "progress": {
    "bufferedTimeInMs": 648036,
    "currentTimeInMs": 628008,
    "durationInMs": 4616000,
    "elapsedTimeInMs": 28784,
    "skipTimeInMs": 600000,
    "isLive": true,
    "visitorDwellTimeInMs": 29135,
    "isPlaying": true
  },
  "sender": "LiSA",
  
  "action": "resume",
  "target": "player"
}
```

#### Host App Triggers Media Playback Resumption

```json
{
  "messageType": "lsc:media:pause",
  "recipient": "LiSA",
  
  "action": "resume",
  "target": "player"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/media/media-resume.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
